{
	"artifacts" : 
	[
		{
			"path" : "IRIS_FODIS"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"link_directories",
			"target_link_libraries",
			"qt5_use_modules",
			"set_property",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt",
			"/usr/lib/arm-linux-gnueabihf/cmake/Qt5Core/Qt5CoreMacros.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 27,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 24,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 25,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 36,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 39,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 330,
				"parent" : 5
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 330,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 332,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 332,
				"parent" : 5
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 19,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 20,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 21,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 22,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 331,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 331,
				"parent" : 5
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g"
				},
				{
					"backtrace" : 7,
					"fragment" : "-fPIC"
				},
				{
					"fragment" : "-std=gnu++14"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 8,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 9,
					"define" : "QT_SERIALPORT_LIB"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "/home/pi/FODIS/build_d/Linux-GCC-Debug/IRIS_FODIS_autogen/include"
				},
				{
					"backtrace" : 10,
					"path" : "/home/pi/FODIS/src/IRIS_FODIS/Source"
				},
				{
					"backtrace" : 11,
					"path" : "/home/pi/FODIS/src/IRIS_FODIS/Source/FS"
				},
				{
					"backtrace" : 12,
					"path" : "/home/pi/FODIS/src/IRIS_FODIS/Source/OSIF/include"
				},
				{
					"backtrace" : 13,
					"path" : "/home/pi/FODIS/src/IRIS_FODIS/Source/ZZ_SDK"
				},
				{
					"backtrace" : 14,
					"isSystem" : true,
					"path" : "/usr/include/arm-linux-gnueabihf/qt5"
				},
				{
					"backtrace" : 14,
					"isSystem" : true,
					"path" : "/usr/include/arm-linux-gnueabihf/qt5/QtCore"
				},
				{
					"backtrace" : 14,
					"isSystem" : true,
					"path" : "/usr/lib/arm-linux-gnueabihf/qt5/mkspecs/linux-g++"
				},
				{
					"backtrace" : 15,
					"isSystem" : true,
					"path" : "/usr/include/arm-linux-gnueabihf/qt5/QtSerialPort"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "14"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				393,
				394,
				395
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 0,
			"id" : "IRIS_FODIS_autogen::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "IRIS_FODIS::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-L/home/pi/FODIS/src/IRIS_FODIS/source/OSIF/DLib",
				"role" : "libraryPath"
			},
			{
				"backtrace" : 3,
				"fragment" : "-L/home/pi/SeaBrease/lib",
				"role" : "libraryPath"
			},
			{
				"fragment" : "-Wl,-rpath,/home/pi/FODIS/src/IRIS_FODIS/source/OSIF/DLib:/home/pi/SeaBrease/lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "-lseabreeze",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "-lusb",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "-lstdc++",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "-lm",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "/usr/lib/arm-linux-gnueabihf/libQt5SerialPort.so.5.5.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 7,
				"fragment" : "/usr/lib/arm-linux-gnueabihf/libQt5Core.so.5.5.1",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "IRIS_FODIS",
	"nameOnDisk" : "IRIS_FODIS",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				393,
				394,
				395
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31,
				32,
				33,
				34,
				35,
				36,
				37,
				38,
				39,
				40,
				41,
				42,
				43,
				44,
				45,
				46,
				47,
				48,
				49,
				50,
				51,
				52,
				53,
				54,
				55,
				56,
				57,
				58,
				59,
				60,
				61,
				62,
				63,
				64,
				65,
				66,
				67,
				68,
				69,
				70,
				71,
				72,
				73,
				74,
				75,
				76,
				77,
				78,
				79,
				80,
				81,
				82,
				83,
				84,
				85,
				86,
				87,
				88,
				89,
				90,
				91,
				92,
				93,
				94,
				95,
				96,
				97,
				98,
				99,
				100,
				101,
				102,
				103,
				104,
				105,
				106,
				107,
				108,
				109,
				110,
				111,
				112,
				113,
				114,
				115,
				116,
				117,
				118,
				119,
				120,
				121,
				122,
				123,
				124,
				125,
				126,
				127,
				128,
				129,
				130,
				131,
				132,
				133,
				134,
				135,
				136,
				137,
				138,
				139,
				140,
				141,
				142,
				143,
				144,
				145,
				146,
				147,
				148,
				149,
				150,
				151,
				152,
				153,
				154,
				155,
				156,
				157,
				158,
				159,
				160,
				161,
				162,
				163,
				164,
				165,
				166,
				167,
				168,
				169,
				170,
				171,
				172,
				173,
				174,
				175,
				176,
				177,
				178,
				179,
				180,
				181,
				182,
				183,
				184,
				185,
				186,
				187,
				188,
				189,
				190,
				191,
				192,
				193,
				194,
				195,
				196,
				197,
				198,
				199,
				200,
				201,
				202,
				203,
				204,
				205,
				206,
				207,
				208,
				209,
				210,
				211,
				212,
				213,
				214,
				215,
				216,
				217,
				218,
				219,
				220,
				221,
				222,
				223,
				224,
				225,
				226,
				227,
				228,
				229,
				230,
				231,
				232,
				233,
				234,
				235,
				236,
				237,
				238,
				239,
				240,
				241,
				242,
				243,
				244,
				245,
				246,
				247,
				248,
				249,
				250,
				251,
				252,
				253,
				254,
				255,
				256,
				257,
				258,
				259,
				260,
				261,
				262,
				263,
				264,
				265,
				266,
				267,
				268,
				269,
				270,
				271,
				272,
				273,
				274,
				275,
				276,
				277,
				278,
				279,
				280,
				281,
				282,
				283,
				284,
				285,
				286,
				287,
				288,
				289,
				290,
				291,
				292,
				293,
				294,
				295,
				296,
				297,
				298,
				299,
				300,
				301,
				302,
				303,
				304,
				305,
				306,
				307,
				308,
				309,
				310,
				311,
				312,
				313,
				314,
				315,
				316,
				317,
				318,
				319,
				320,
				321,
				322,
				323,
				324,
				325,
				326,
				327,
				328,
				329,
				330,
				331,
				332,
				333,
				334,
				335,
				336,
				337,
				338,
				339,
				340,
				341,
				342,
				343,
				344,
				345,
				346,
				347,
				348,
				349,
				350,
				351,
				352,
				353,
				354,
				355,
				356,
				357,
				358,
				359,
				360,
				361,
				362,
				363,
				364,
				365,
				366,
				367,
				368,
				369,
				370,
				371,
				372,
				373,
				374,
				375,
				376,
				377,
				378,
				379,
				380,
				381,
				382,
				383,
				384,
				385,
				386,
				387,
				388,
				389,
				390,
				391,
				392
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "/home/pi/FODIS/build_d/Linux-GCC-Debug/IRIS_FODIS_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "Source/FS/ATPControl_Serial_QT.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/FS/DataFileProcessor.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/FS/IrisFiberSpectrometerBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/FS/OControl_USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/FS/ZZ_Types.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/DeviceFactory.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/DllDecl.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/SeaBreezeWrapper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/AcquisitionDelayFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/ContinuousStrobeFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/DataBufferFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/DeviceAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/EEPROMFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/FeatureAdapterInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/FeatureAdapterTemplate.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/FeatureFamilies.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/IrradCalFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/LightSourceFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/NonlinearityCoeffsFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/OpticalBenchFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/PixelBinningFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/ProtocolFamilies.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/RawUSBBusAccessFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/RevisionFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/SeaBreezeAPI.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/SeaBreezeAPIConstants.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/SerialNumberFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/ShutterFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/SpectrometerFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/SpectrumProcessingFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/StrayLightCoeffsFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/StrobeLampFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/TemperatureFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/api/seabreezeapi/ThermoElectricCoolerFeatureAdapter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/ByteVector.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/Data.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/DoubleVector.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/FloatVector.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/Log.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/SeaBreeze.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/U32Vector.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/UShortVector.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/UnitDescriptor.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/Bus.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/BusFamilies.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/BusFamily.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/DeviceLocationProberInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/DeviceLocatorInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/TransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/network/IPv4NetworkProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/network/IPv4SocketDeviceLocator.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/network/TCPIPv4SocketBus.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/network/TCPIPv4SocketTransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/rs232/RS232DeviceLocator.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/rs232/RS232Interface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/rs232/RS232TransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/usb/USBDeviceLocator.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/usb/USBInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/buses/usb/USBTransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/devices/Device.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/BusConnectException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/BusException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/BusTransferException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/FeatureControlException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/FeatureException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/FeatureProtocolNotFoundException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/IllegalArgumentException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/NumberFormatException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/ProtocolBusMismatchException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/ProtocolException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/ProtocolFormatException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/exceptions/ProtocolTransactionException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/features/Feature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/features/FeatureFamily.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/features/FeatureImpl.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/globals.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/protocols/Exchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/protocols/Protocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/protocols/ProtocolFamily.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/protocols/ProtocolHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/protocols/ProtocolHint.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/protocols/Transaction.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/common/protocols/Transfer.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/network/Inet4Address.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/network/Socket.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/network/SocketException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/network/SocketTimeoutException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/network/UnknownHostException.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/network/posix/NativeSocketPOSIX.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/network/windows/NativeSocketWindows.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/rs232/NativeRS232.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/rs232/RS232.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/rs232/windows/NativeRS232Windows.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/system/NativeSystem.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/system/System.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/usb/NativeUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/usb/USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/usb/USBDiscovery.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/native/usb/winusb/WindowsGUID.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/network/BlazeTCPIPv4.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/network/JazTCPIPv4.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/rs232/OOIRS232Interface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/ApexUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/BlazeUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/BlazeUSBTransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/FlameNIRUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/HR2000PlusUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/HR2000USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/HR4000USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/JazUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/Maya2000ProUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/Maya2000USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/MayaLSLUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/NIRQuest256USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/NIRQuest512USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/OOIUSB4KSpectrumTransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/OOIUSBControlTransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/OOIUSBEndpointMaps.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/OOIUSBInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/OOIUSBProductID.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/OOIUSBSpectrumTransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/OOIUSBTrivialTransferHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/QE65000USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/QEProUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/STSUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/SparkUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/TorusUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/USB2000PlusUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/USB2000USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/USB4000USB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/buses/usb/VentanaUSB.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Apex.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Blaze.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/FlameNIR.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/HR2000.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/HR2000Plus.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/HR4000.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Jaz.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Maya2000.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Maya2000Pro.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/MayaLSL.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/NIRQuest256.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/NIRQuest512.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/QE65000.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/QEPro.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/STS.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Spark.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Torus.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/USB2000.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/USB2000Plus.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/USB4000.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/devices/Ventana.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/acquisition_delay/AcquisitionDelayFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/acquisition_delay/AcquisitionDelayFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/acquisition_delay/AcquisitionDelayFeature_FPGA.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/acquisition_delay/STSAcquisitionDelayFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/continuous_strobe/ContinuousStrobeFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/continuous_strobe/ContinuousStrobeFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/continuous_strobe/ContinuousStrobeFeature_FPGA.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/data_buffer/DataBufferFeatureBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/data_buffer/DataBufferFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/data_buffer/QEProDataBufferFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/EEPROMSlotFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/EEPROMSlotFeatureBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/EEPROMSlotFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/NonlinearityEEPROMSlotFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/SaturationEEPROMSlotFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/SaturationEEPROMSlotFeatureBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/SaturationEEPROMSlotFeature_MayaPro.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/SaturationEEPROMSlotFeature_NIRQuest.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/SerialNumberEEPROMSlotFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/StrayLightEEPROMSlotFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/WavelengthEEPROMSlotFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/eeprom_slots/WavelengthEEPROMSlotFeature_QE65000.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/fpga_register/FPGARegisterFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/fpga_register/FPGARegisterFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/irradcal/IrradCalFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/irradcal/IrradCalFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/light_source/LightSourceFeatureBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/light_source/LightSourceFeatureImpl.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/light_source/LightSourceFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/light_source/StrobeLampFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/light_source/StrobeLampFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/light_source/VentanaLightSourceFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/nonlinearity/NonlinearityCoeffsFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/nonlinearity/NonlinearityCoeffsFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/optical_bench/OpticalBenchFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/optical_bench/OpticalBenchFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/pixel_binning/PixelBinningFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/pixel_binning/STSPixelBinningFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/raw_bus_access/RawUSBBusAccessFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/raw_bus_access/RawUSBBusAccessFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/revision/RevisionFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/revision/RevisionFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/serial_number/SerialNumberFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/serial_number/SerialNumberFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/shutter/ShutterFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/shutter/ShutterFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/ApexSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/BlazeSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/FlameNIRSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/GainAdjustedSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/HR2000PlusSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/HR2000SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/HR4000SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/JazSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/Maya2000ProSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/Maya2000SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/MayaLSLSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/NIRQuest256SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/NIRQuest512SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/NIRQuestSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/OOISpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/OOISpectrometerFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/ProgrammableSaturationFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/ProgrammableSaturationFeatureBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/ProgrammableSaturationFeatureImpl.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/ProgrammableSaturationFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/QE65000SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/QEProSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/STSSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/SparkSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/SpectrometerTriggerMode.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/USB2000PlusSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/USB2000SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/USB4000SpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrometer/VentanaSpectrometerFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrum_processing/SpectrumProcessingFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/spectrum_processing/SpectrumProcessingFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/stray_light/StrayLightCoeffsFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/stray_light/StrayLightCoeffsFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/temperature/TemperatureFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/temperature/TemperatureFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/thermoelectric/QEProThermoElectricFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/thermoelectric/ThermoElectricFeatureBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/thermoelectric/ThermoElectricFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/thermoelectric/ThermoElectricQEFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/thermoelectric/VentanaThermoElectricFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/wavecal/WaveCalFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/features/wavecal/WaveCalFeatureInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/AcquisitionDelayProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/ContinuousStrobeProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/DataBufferProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/EEPROMProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/FPGARegisterProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/IrradCalProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/LightSourceProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/NonlinearityCoeffsProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/OpticalBenchProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/PixelBinningProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/ProgrammableSaturationProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/RevisionProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/SerialNumberProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/ShutterProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/SpectrometerProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/SpectrumProcessingProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/StrayLightCoeffsProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/StrobeLampProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/TemperatureProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/ThermoElectricProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/interfaces/WaveCalProtocolInterface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/constants/OBPMessageTypes.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPCommand.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPContinuousStrobeEnableExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPContinuousStrobePeriodExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPDataBufferClearExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetAllTemperaturesExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetBoxcarWidthExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetDataBufferCapacityExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetDataBufferElementCountExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetDataBufferMaximumCapacityExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetDefaultPixelBinningExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetFirmwareRevisionExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetHardwareRevisionExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetIrradCalExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetIrradCollectionAreaExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetMaxPixelBinningExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetNonlinearityCoeffExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetNonlinearityCoeffsCountExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetOpticalBenchCoatingExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetOpticalBenchFiberDiameterMicronsExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetOpticalBenchFilterExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetOpticalBenchGratingExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetOpticalBenchIDExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetOpticalBenchSerialNumberExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetOpticalBenchSlitWidthMicronsExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetPixelBinningExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetSaturationExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetScansToAverageExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetSerialNumberExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetSerialNumberMaximumLengthExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetStrayLightCoeffExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetStrayLightCoeffsCountExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetTemperatureCountExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetTemperatureExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetThermoElectricTemperatureExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPGetWaveCalExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPIntegrationTimeExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPLampEnableCommand.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPLightSourceEnableCommand.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPLightSourceEnabledQuery.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPLightSourceIntensityCommand.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPLightSourceIntensityQuery.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPMessage.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPQuery.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPReadRawSpectrum32AndMetadataExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPReadRawSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPReadSpectrum32AndMetadataExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPReadSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPReadSpectrumWithGainExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPRequestBufferedSpectrum32AndMetadataExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPRequestRawSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPRequestSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetAcquisitionDelayExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetBoxcarWidthExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetDataBufferCapacityExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetDefaultPixelBinningExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetIrradCalExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetIrradCollectionAreaExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetPixelBinningExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetScansToAverageExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetThermoElectricEnableExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPSetThermoElectricSetpointExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPShutterExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPTransaction.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/exchanges/OBPTriggerModeExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/hints/OBPControlHint.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/hints/OBPSpectrumHint.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPAcquisitionDelayProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPContinuousStrobeProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPDataBufferProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPIrradCalProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPLightSourceProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPLightSourceProtocol_Ventana.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPNonlinearityCoeffsProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPOpticalBenchProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPPixelBinningProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPProgrammableSaturationProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPRevisionProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPSerialNumberProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPShutterProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPSpectrometerProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPSpectrumProcessingProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPStrayLightCoeffsProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPStrobeLampProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPTemperatureProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPThermoElectricProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OBPWaveCalProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/obp/impls/OceanBinaryProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/constants/FPGARegisterCodes.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/constants/OpCodes.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/constants/QETECConstants.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/FPGARegisterReadExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/FPGARegisterWriteExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/FPGASpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/FlameNIRSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/HRFPGASpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/IntegrationTimeExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/JazSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/MayaProSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/NIRQuestSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/OOI2KSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/OOIIrradCalExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/OOIReadIrradCalExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/OOIWriteIrradCalExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/QESpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/ReadEEPROMSlotExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/ReadSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/ReadTECQETemperatureExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/ReadTECTemperatureExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/RequestSpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/StrobeEnableExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/TECEnableExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/TECQEEnableExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/TriggerModeExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/USBFPGASpectrumExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/WriteEEPROMSlotExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/WriteTECQESetPointExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/exchanges/WriteTECSetPointExchange.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/hints/ControlHint.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/hints/SpectrumHint.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/impls/FPGARegisterProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/impls/OOIEEPROMProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/impls/OOIIrradCalProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/impls/OOIProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/impls/OOISpectrometerProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/impls/OOIStrobeLampProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/protocols/ooi/impls/OOITECProtocol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/OSIF/include/vendors/OceanOptics/utils/Polynomial.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/ZZ_SDK/ZZ_Math_HDRONLY.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "Source/pch.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "Source/FS/ATPControl_Serial_QT.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "Source/FS/DataFileProcessor.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "Source/FS/OControl_USB.cpp",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
